package cn.newfeifan.mall.module.trade.controller.app.order.vo;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "管理后台 - 订单提交 Request VO")
@Data
public class APPTradeOrderSubmitRequestVO {
    @Schema(description = "订单编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1024")
    @NotNull(message = "订单id不能为空")
    private List<Long> orderIds;

    @Schema(description = "支付密码", requiredMode = Schema.RequiredMode.REQUIRED, example = "123456")
    @NotNull(message = "支付密码不能为空")
    private String payPassword;

}
